> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# List account deposit instructions

> List an existing account's deposit instructions



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /accounts/{id}/deposit-instructions
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /accounts/{id}/deposit-instructions:
    get:
      tags:
        - Accounts
      summary: List account deposit instructions
      description: List an existing account's deposit instructions
      operationId: listAccountDepositInstructions
      parameters:
        - schema:
            $ref: '#/components/schemas/AccountId'
          required: true
          description: A valid Account ID
          name: id
          in: path
      responses:
        '200':
          description: The list of account deposit instruction objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountDepositInstructionsResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '404':
          description: Not Found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    AccountId:
      type: string
      pattern: ^acct_[a-zA-Z0-9]{27}$
      description: A valid Account ID
      example: acct_2ofTA5mz0T91pBmD3tMTeLE7T4X
    ListAccountDepositInstructionsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/TronDepositInstructionObject'
              - $ref: '#/components/schemas/EthereumDepositInstructionObject'
              - $ref: '#/components/schemas/XrplDepositInstructionObject'
              - $ref: '#/components/schemas/PolygonDepositInstructionObject'
              - $ref: '#/components/schemas/SolanaDepositInstructionObject'
              - $ref: '#/components/schemas/BaseDepositInstructionObject'
              - $ref: '#/components/schemas/FedwireDepositInstructionObject'
              - $ref: '#/components/schemas/SwiftDepositInstructionObject'
            discriminator:
              propertyName: rail
              mapping:
                tron:
                  $ref: '#/components/schemas/TronDepositInstructionObject'
                ethereum:
                  $ref: '#/components/schemas/EthereumDepositInstructionObject'
                xrpl:
                  $ref: '#/components/schemas/XrplDepositInstructionObject'
                polygon:
                  $ref: '#/components/schemas/PolygonDepositInstructionObject'
                solana:
                  $ref: '#/components/schemas/SolanaDepositInstructionObject'
                base:
                  $ref: '#/components/schemas/BaseDepositInstructionObject'
                fedwire:
                  $ref: '#/components/schemas/FedwireDepositInstructionObject'
                swift:
                  $ref: '#/components/schemas/SwiftDepositInstructionObject'
      required:
        - data
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    NotFoundErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TronDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - tron
        asset:
          type: string
          enum:
            - USDT
          description: >-
            The asset identifier. A stablecoin token supported in the Tron
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: tron
        asset: USDT
        walletAddress: TNDzJVjgTjGrzRTeA3YiA8PD79UmNMv7To
    EthereumDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - ethereum
        asset:
          type: string
          enum:
            - USDC
            - USDT
          description: >-
            The asset identifier. A stablecoin token supported in the Ethereum
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: ethereum
        asset: USDC
        walletAddress: '0x32Be343B94f860124dC4fEe278FDCBD38C102D88'
    XrplDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - xrpl
        asset:
          type: string
          enum:
            - RLUSD
          description: >-
            The asset identifier. A stablecoin token supported in the Xrpl
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: xrpl
        asset: RLUSD
        walletAddress: rwW4mYJ4HsqGjewuaebnhP8wv27nGfWyu1
    PolygonDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - polygon
        asset:
          type: string
          enum:
            - USDC
          description: >-
            The asset identifier. A stablecoin token supported in the Polygon
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: polygon
        asset: USDC
        walletAddress: '0x6Fb2e5C2D7F1F6FfE22A2F5735A8EadC1b5E2d77'
    SolanaDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - solana
        asset:
          type: string
          enum:
            - USDC
          description: >-
            The asset identifier. A stablecoin token supported in the Polygon
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: solana
        asset: USDC
        walletAddress: 7Y5uWzQ6V4FhP5NQ4w3kpgmTxT3bZ7pKxj8Vh3D8q3nA
    BaseDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - base
        asset:
          type: string
          enum:
            - USDC
          description: >-
            The asset identifier. A stablecoin token supported in the Polygon
            blockchain.
        walletAddress:
          type: string
      required:
        - rail
        - asset
        - walletAddress
      example:
        rail: base
        asset: USDC
        walletAddress: '0x6Fb2e5C2D7F1F6FfE22A2F5735A8EadC1b5E2d77'
    FedwireDepositInstructionObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - local
        rail:
          type: string
          enum:
            - fedwire
        asset:
          type: string
          enum:
            - USD
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
            routingNumber:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - bankName
            - accountNumber
            - routingNumber
            - address
        accountOwner:
          type: object
          properties:
            name:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - name
            - address
        reference:
          type: string
      required:
        - type
        - rail
        - asset
        - bank
        - accountOwner
      example:
        type: local
        rail: fedwire
        asset: USD
        bank:
          bankName: Lead Bank
          accountNumber: '123456789'
          routingNumber: '123'
          address:
            streetLine1: 1801 Main St.
            streetLine2: ''
            city: Kansas City
            state: MO
            postalCode: '64108'
            country: US
        accountOwner:
          name: Conduit Technology, Inc.
          address:
            streetLine1: 1001 S. Main Street
            streetLine2: Suite 4080
            city: Kalispell
            state: MT
            postalCode: '59901'
            country: US
        reference: ABB1234
    SwiftDepositInstructionObject:
      type: object
      properties:
        rail:
          type: string
          enum:
            - swift
        asset:
          type: string
          enum:
            - USD
        bank:
          type: object
          properties:
            bankName:
              type: string
            accountNumber:
              type: string
            swiftCode:
              type: string
            intermediarySwiftCode:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - bankName
            - accountNumber
            - swiftCode
            - address
        accountOwner:
          type: object
          properties:
            name:
              type: string
            address:
              type: object
              properties:
                streetLine1:
                  type: string
                streetLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                postalCode:
                  type: string
                country:
                  type: string
              required:
                - streetLine1
                - streetLine2
                - city
                - state
                - postalCode
                - country
          required:
            - name
            - address
        reference:
          type: string
      required:
        - rail
        - asset
        - bank
        - accountOwner
      example:
        rail: swift
        asset: USD
        bank:
          bankName: Column N.A.
          accountNumber: '123456789'
          swiftCode: FNBOUS33
          intermediarySwiftCode: FNBOUS33
          address:
            streetLine1: 1 Letterman Drive
            streetLine2: Suite A4-700
            city: San Francisco
            state: CA
            postalCode: '94129'
            country: US
        accountOwner:
          name: Conduit Technology, Inc.
          address:
            streetLine1: 1 Treasure Way
            streetLine2: ''
            city: Ashland
            state: MA
            postalCode: '01721'
            country: US
        reference: ABB1234
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````